package com.inspect.metadata.eqpbook.mapper;

import com.inspect.metadata.eqpbook.domain.BasedataEqpBookModel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface BasedataEqpBookModelMapper {
    BasedataEqpBookModel selectBasedataEqpBookModelByEqpBookModelId(String modelId);

    List<BasedataEqpBookModel> selectBasedataEqpBookModelList(BasedataEqpBookModel eqpBookModel);

    int insertBasedataEqpBookModel(BasedataEqpBookModel eqpBookModel);

    int updateBasedataEqpBookModel(BasedataEqpBookModel eqpBookModel);

    int deleteBasedataEqpBookModelByEqpBookModelId(String modelId);

    int deleteBasedataEqpBookModelByEqpBookModelIds(String[] modelIds);
}
